libvisio::VSDRelLineTo Class Reference
Inheritance diagram for libvisio::VSDRelLineTo:

## Public Member Functions

| VSDRelLineTo (unsigned id, unsigned level, const std::optional< double > &x, const std::optional< double > &y)
| ~VSDRelLineTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

double | m_x
double | m_y

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDRelLineTo()

libvisio::VSDRelLineTo::VSDRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x,
|  | const std::optional< double > & | y )

inline

Referenced by clone().

## ~VSDRelLineTo()

libvisio::VSDRelLineTo::~VSDRelLineTo | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelLineTo::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDRelLineTo::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_x

double libvisio::VSDRelLineTo::m_x

Referenced by clone(), handle(), and VSDRelLineTo().

## m_y

double libvisio::VSDRelLineTo::m_y

Referenced by clone(), handle(), and VSDRelLineTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp